plugins {
	id 'java'
	id 'application'
	id 'com.gradleup.shadow' version '9.0.0'
}

group = 'click.kamil.file_combine'
version = '0.0.1-SNAPSHOT'

application {
	mainClass = 'click.kamil.file_combine.JavaConcatenator'
}

java {
	toolchain {
		languageVersion = JavaLanguageVersion.of(21)
	}
}

configurations {
	compileOnly {
		extendsFrom annotationProcessor
	}
}

repositories {
	mavenCentral()
}

dependencies {
	// Picocli
	implementation 'info.picocli:picocli:4.7.6'

	// deps for parsing java AST
	implementation 'org.eclipse.jdt:org.eclipse.jdt.core:3.36.0'

	compileOnly 'org.projectlombok:lombok:1.18.46'
	annotationProcessor 'org.projectlombok:lombok:1.18.46'

	testImplementation 'org.junit.jupiter:junit-jupiter-api:6.1.0'
	testImplementation 'org.junit.jupiter:junit-jupiter-engine:6.1.0'
	testRuntimeOnly 'org.junit.platform:junit-platform-launcher:6.1.0'
}

tasks.named('test') {
	useJUnitPlatform()
}
